#!/bin/sh
URL="http://sourceforge.net/projects/unicore/files/1%20UNICORE%206%20Servers%20and%20Services/1.4%20UVOS%20Virtual%20Organisation%20Service/1.%20UVOS%20Server/1.5.0/uvos-1.5.0-dist.tar.gz/download"

echo "Downloading server..." &&
wget -c -q $URL -O uvos.tar.gz &&
rm -rf uvos-* &&
echo "Unpacking..." &&
tar zxf uvos.tar.gz &&
cd uvos-* &&
echo "Initializing..." && 
./bin/initdb.sh > /dev/null 2>&1 &&
./bin/createExampleContent.sh > /dev/null &&
echo "yes" | keytool -importcert -alias uvos -file conf/certs/dummyServerCert.der -keystore /tmp/unicore-test/demouser.jks -storepass the\!user > /dev/null 2>&1 &&  

echo "DONE"

